> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Publish a release

PUT https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/releases/{release_id}/published

Publishes all entities in a release. The release is automatically archived on success.

Reference: https://contentful.com/developers/docs/references/content-management-api/releases/publish-a-release

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `release_id` (string, required) — ID of the release in form of a string

## Response

### 202

HTTP 202

- `map from string to any`

## Examples

**Response**

```json
{
  "action": "publish|unpublish|validate",
  "error": "",
  "sys": {
    "createdAt": "2025-01-08T05:39:09.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "environment": {
      "sys": {
        "id": "staging",
        "linkType": "Environment",
        "type": "Link"
      }
    },
    "id": "'<release_action_id>'",
    "release": {
      "sys": {
        "id": "",
        "linkType": "Release",
        "type": "Link"
      }
    },
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "status": "'created'",
    "type": "ReleaseAction",
    "updatedAt": "2025-01-08T05:39:09.000Z"
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment-id>'))
// Version must be provided
.then((environment) => environment.publishRelease({ releaseId: '<release_id>', version: 1 }))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const releaseAction = await client.release.publish({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  releaseId: '<release_id>',
  version: 1,
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```